%define uname   CGenius

Name:           commandergenius
Version:        1.9.2
Release:        %mkrel 1
Summary:        An open clone of the Commander Keen engines
License:        GPLv2+
Group:          Games/Arcade
Url:            http://clonekeenplus.sourceforge.net
# Repo: https://github.com/gerstrong/Commander-Genius
# Source repacked to remove shareware raw game files from the tarball
# rm -rf Build/ dlls/ hqp/ icotool src/engine/dbfusion/ vfsroot/
Source0:        %{name}-%{version}.tar.xz
Patch0:         commandergenius-1.9.2-no-dbfusion.patch

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(vorbis)

%description
Commander Genius is an open-source software piece that interprets
the Commander Keen "Vorticons" and "Galaxy" series (Keen 1-6).

It features many new features such as four-player mode, hardware acceleration,
customizable button layout on a range of input devices, new difficulty modes,
and much more.

You need the original data files of Commander Keen or of a mod to play
Commander Genius. Place game folders in the ~/.CommanderGenius/games
directory (Keen 1 and Keen 4 are sharewares and can be found
on the Internet).

%prep
%setup -q
%autopatch -p1

chmod -x changelog.txt COPYRIGHT README.in

%build
%cmake -DBUILD_TARGET=LINUX \
       -DBUILD_SHARED_LIBS:BOOL=OFF \
       -DGAMES_SHAREDIR:PATH=%{_gamesdatadir} \
       -DUSE_SDL2:BOOL=ON
%make_build

%install
# Bypass make install to give better names to the installed files

# Main executable
install -D -m755 build/src/%{uname}Exe %{buildroot}%{_gamesbindir}/%{name}

# Icon
install -D -m644 src/CGLogo.png %{buildroot}%{_iconsdir}/hicolor/512x512/apps/%{name}.png

# Desktop entry
install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Commander Genius
Comment=Play Commander Keen games natively
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%files
%doc changelog.txt COPYRIGHT README
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sat Apr 02 2016 akien <akien> 1.9.2-1.mga6
+ Revision: 997684
- Version 1.9.2

* Mon Feb 08 2016 umeabot <umeabot> 1.8.0.0-2.mga6
+ Revision: 950474
- Mageia 6 Mass Rebuild

* Tue Nov 04 2014 akien <akien> 1.8.0.0-1.mga5
+ Revision: 795600
- Version 1.8.0.0

* Wed Oct 15 2014 umeabot <umeabot> 1.7.4.0-6.mga5
+ Revision: 739875
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.4.0-5.mga5
+ Revision: 678499
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 akien <akien> 1.7.4.0-4.mga5
+ Revision: 660335
- Repack source tarball to remove shareware (i.e. nonfree) raw game file

* Wed Aug 06 2014 akien <akien> 1.7.4.0-3.mga5
+ Revision: 660290
- Add a patch to remove SDL_image build dependency

* Wed Aug 06 2014 akien <akien> 1.7.4.0-2.mga5
+ Revision: 660103
- Fix icon creation and paths

* Tue Aug 05 2014 akien <akien> 1.7.4.0-1.mga5
+ Revision: 660024
- Add upstream patch to remove unused dbfusion dependencies
- imported package commandergenius

